<?php
session_start();
if(isset($_POST['k1'])) {
		$plikd = 'upload/'.$_POST['k3'].'/galeria-'.$_POST['k4'].'/duze/'.$_POST['k1'];
		$plikm = 'upload/'.$_POST['k3'].'/galeria-'.$_POST['k4'].'/male/'.$_POST['k2'];
		unlink($plikd);
		unlink($plikm);
			
	$dir = 'upload/'.$_POST['k3'].'/galeria-'.$_POST['k4'].'/male/';	
	$f1 = scandir($dir);
	$liczba_plikow = (count($f1)-2);
	if ($liczba_plikow>0) {
		echo 'Galeria - '.$_POST['k4'];
		echo '<select id="galtb_fot" class="galusun'.$_POST['k4'].'" name="pliki'.$_POST['k4'].'" size="0">';
		foreach (new DirectoryIterator($dir) as $fileInfo) {
			if($fileInfo->isDot()) continue;
			echo '<option value="'.$fileInfo->getFilename().'">'.$fileInfo->getFilename().'</option>';
		}
		echo '</select>';
			
			
			echo '<div id="galedycja_usun_img'.$_POST['k4'].'">';
				echo '<img src="pliki/upload/'.$_POST['k3'].'/galeria-'.$_POST['k4'].'/male/'.$f1[2].'" width="120" height="80" alt="" title="" />';
			echo '</div>';
				echo '<div id="galedycja_usun_nr'.$_POST['k4'].'">';
					echo 'Fotografia 1 / '.$liczba_plikow;
				echo '</div>';
				echo '<input type="button" id="button_menu4" class="usun_plik'.$_POST['k4'].'" value="Usuń wybrany plik" />';
				echo '<div id="galusun_wszystkie">';
				echo '<input type="button" id="button_menu4" class="usun_pliki'.$_POST['k4'].'" value="Usuń wszystkie" />';
			echo '</div>';
			echo '</div>';
	} else {
		echo 'Galeria - '.$_POST['k4'].'<br /><br />';
		echo 'Brak plików<br /><br />';
	}
	unset($_POST['k1']);
	unset($_POST['k2']);
	unset($_POST['k3']);
	unset($_POST['k4']);				
	}
	
?>